## org.exist.atom.http
Class HttpRequestMessage

    java.lang.Object
      org.exist.atom.http.HttpRequestMessage

All Implemented Interfaces:
  IncomingMessage

public class HttpRequestMessage
extends java.lang.Object
implements IncomingMessage

Author:
  R. Alexander Milowski

Constructor Summary
`HttpRequestMessage(javax.servlet.http.HttpServletRequest request, java.lang.String path, java.lang.String base)` Creates a new instance of HttpRequestMIMEMessage

Method Summary
`int` `getContentLength()`
`java.lang.String` `getHeader(java.lang.String key)`
`java.io.InputStream` `getInputStream()`
`java.lang.String` `getMethod()`
`java.lang.String` `getModuleBase()`
`java.lang.String` `getParameter(java.lang.String name)`
`java.lang.String` `getPath()`
`java.io.Reader` `getReader()`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### HttpRequestMessage

    public HttpRequestMessage(javax.servlet.http.HttpServletRequest request,
                              java.lang.String path,
                              java.lang.String base)

  Creates a new instance of HttpRequestMIMEMessage

Method Detail

### getMethod

    public java.lang.String getMethod()

  Specified by:
    `getMethod` in interface `IncomingMessage`

### getPath

    public java.lang.String getPath()

  Specified by:
    `getPath` in interface `IncomingMessage`

### getParameter

    public java.lang.String getParameter(java.lang.String name)

  Specified by:
    `getParameter` in interface `IncomingMessage`

### getHeader

    public java.lang.String getHeader(java.lang.String key)

  Specified by:
    `getHeader` in interface `IncomingMessage`

### getContentLength

    public int getContentLength()

  Specified by:
    `getContentLength` in interface `IncomingMessage`

### getInputStream

    public java.io.InputStream getInputStream()
                                       throws java.io.IOException

  Specified by:
    `getInputStream` in interface `IncomingMessage`
  Throws:
    `java.io.IOException`

### getReader

    public java.io.Reader getReader()
                             throws java.io.IOException

  Specified by:
    `getReader` in interface `IncomingMessage`
  Throws:
    `java.io.IOException`

### getModuleBase

    public java.lang.String getModuleBase()

  Specified by:
    `getModuleBase` in interface `IncomingMessage`

Copyright (C) Wolfgang Meier. All rights reserved.